import { world } from '@minecraft/server';
import { ConnectedGlassComponent } from './connectedGlassComp.js';

world.beforeEvents.worldInitialize.subscribe(initEvent => {
  // Registering static methods of the class directly
  initEvent.blockComponentRegistry.registerCustomComponent(
    'connected_glasses:connectedGlassComp',
    {
      onPlace: ConnectedGlassComponent.onPlace,
      onPlayerDestroy: ConnectedGlassComponent.onPlayerDestroy
    }
  );
});